org.apache.hadoop.mapreduce.v2.api.records

## Interface Counters

- All Known Implementing Classes:
    CountersPBImpl

      public interface Counters

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllCounterGroups(Map<String,CounterGroup> counterGroups)`
    `void` | `clearCounterGroups()`
    `Map<String,CounterGroup>` | `getAllCounterGroups()`
    `Counter` | `getCounter(Enum<?> key)`
    `CounterGroup` | `getCounterGroup(String key)`
    `void` | `incrCounter(Enum<?> key, long amount)`
    `void` | `removeCounterGroup(String key)`
    `void` | `setCounterGroup(String key, CounterGroup value)`

- - ### Method Detail

    - #### getAllCounterGroups

          Map<String,CounterGroup> getAllCounterGroups()

    - #### getCounterGroup

          CounterGroup getCounterGroup(String key)

    - #### getCounter

          Counter getCounter(Enum<?> key)

    - #### addAllCounterGroups

          void addAllCounterGroups(Map<String,CounterGroup> counterGroups)

    - #### setCounterGroup

          void setCounterGroup(String key,
                               CounterGroup value)

    - #### removeCounterGroup

          void removeCounterGroup(String key)

    - #### clearCounterGroups

          void clearCounterGroups()

    - #### incrCounter

          void incrCounter(Enum<?> key,
                           long amount)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.